# Interface methods for submodule: GaussianInterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InterpolateImageFunctionProxy as _InterpolateImageFunctionProxy


# Interface methods for class: GaussianInterpolateImageFunction
class GaussianInterpolateImageFunctionProxy(_InterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInputImage(self, image) -> None:
		""""""
		...

	@overload
	def SetSigma(self, s: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSigma(self, s) -> None:
		""""""
		...

	def GetSigma(self) -> Sequence[float]:
		""""""
		...

	def SetAlpha(self, a: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetParameters(self, sigma, alpha: float) -> None:
		""""""
		...

	def EvaluateAtContinuousIndex(self, cindex) -> float:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

